#	Change to source file name
target=dncase
lang=c
#	Change to directory libv installed into
libvroot=..\..
rm=del
cc=cl.exe
cdebug=
cflags=-c -MD -Za -W4 -I$(libvroot)/include
optflags=-O2 -Ot -Gs -G6 
ld=link.exe
lflags=/SUBSYSTEM:CONSOLE /OUT:$(target).exe
libs=$(libvroot)/lib/win32/vc/libv.lib
runtimelibs=kernel32.lib gdi32.lib user32.lib opengl32.lib winmm.lib
all:$(target).exe
$(target).obj:$(target).$(lang)
	$(cc) $(cflags) $(target).$(lang)
$(target).exe:$(target).obj
	$(ld) $(target).obj $(libs) $(lflags) $(runtimelibs)
clean:
	if exist $(target).obj del $(target).obj
	if exist $(target).exe del $(target).exe
